Loading...
Searching...
No Matches
Magick::PathLinetoHorizontalRel Class Reference
Inheritance diagram for Magick::PathLinetoHorizontalRel:

## Public Member Functions

| PathLinetoHorizontalRel (double x_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const

## Private Attributes

double | _x

## Detailed Description

Definition at line 3001 of file Drawable.h.

## Constructor & Destructor Documentation

## PathLinetoHorizontalRel()

Magick::PathLinetoHorizontalRel::PathLinetoHorizontalRel | ( | double | x_ | ) |

inline

Definition at line 3004 of file Drawable.h.

: _x(x_)
{
}

## ~PathLinetoHorizontalRel()

Magick::PathLinetoHorizontalRel::~PathLinetoHorizontalRel | ( | void |  | ) |

Definition at line 2394 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathLinetoHorizontalRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2402 of file Drawable.cpp.

{
return new PathLinetoHorizontalRel(*this);
}

## operator()()

void Magick::PathLinetoHorizontalRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2397 of file Drawable.cpp.

{
DrawPathLineToHorizontalRelative( context_, _x );
}

## x() [1/2]

void Magick::PathLinetoHorizontalRel::x | ( | double | x_ | ) |

inline

Definition at line 3017 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::PathLinetoHorizontalRel::x | ( | void |  | ) | const

inline

Definition at line 3021 of file Drawable.h.

{
return _x;
}

## Field Documentation

## _x

double Magick::PathLinetoHorizontalRel::_x

private

Definition at line 3027 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp